<?php
//function encabezado() {
echo"<html>";
echo"<html onMouseOver=\"self.status='Powered by Carpediem Colombia Ltda'; return true\">";
echo"<head>";
echo"<title>.::Sistema WEBSIM GAMA::. </title>";
echo"<meta name=\"author\" content='DESARROLLO WEB'>";
echo"<link rel='stylesheet' href='css/style.css' type=\"text/css\">";
echo"<link rel=\"SHORTCUT ICON\" href=imagenes/vc.png>";
echo"</head>";
echo"<body leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\"0\" bgcolor=\"#ffffff\">";
//}
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Menu/menu_dinamico.php"); 
include("Menu/menu.php");
include("funciones/funciones_backup.php");
//encabezado();
$id_menu = $_GET['id_menu'];
$tipo = $_GET['tipo'];
$funcionalidad = $_GET['id_funcionalidad'];
$pagina = 'ACTUALIZAR USUARIO';
if ($tipo == 2 && !isset($Ejecutar)) {
    echo "<script>
		alert('Esta Seguro Que Desea Eliminar Esta Funcionalidad');
		</script>";
    $read = "readonly='readonly'";
    $pagina = 'ELIMINAR USUARIO';
}
?><center>
    <form action="" method="POST">
        <table width="300" border="0" class="primaria">
            <tr class=miTable_tr>
                <td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina; ?> ::..</div></td>
                </td>
            </tr>
            <tr class=miTable_tr>
                <td class="miTable_td">Nombre Funcionalidad:</td>
                <td class="miTable_td"><input type="text" name="funcionalidad" value="<? echo $nombre; ?>" class="inputbox" "<? echo $read; ?>">
                    <input type="hidden" name="id" value="<? echo $funcionalidad; ?>" class="inputbox" "<? echo $read; ?>"></td>
            </tr>
            <tr class=miTable_tr>
                <td class="miTable_td">Nombre Script:</td>
                <td class="miTable_td"><input type="text" name="script" value="<? echo $script; ?>" class="inputbox" "<? echo $read; ?>"></td>
            </tr>
            <tr class=miTable_tr>
                <td class="miTable_td">Descripcion:</td>
                <td class="miTable_td"><input type="text" name="desc" value="<? echo $descripcion; ?>" class="inputbox" "<? echo $read; ?>"></td>
            </tr>
            <tr class=miTable_tr>
                <td class=miTable_th1 colspan="2">
                    <div align="center">
                        <input type="submit" name="Ejecutar" value="Ejecutar" class="inputbox">
                    </div>
                </td>
            </tr>
        </table>
    </form>
</center>
<?
if ($tipo == 1 && isset($Ejecutar)) {

    class asignarMenu {

        var $consultarObj;
        var $conexionObj;
        var $estado;

        function setConsultar($id, $funcionalidad, $script, $desc) {
            $_SESSION['desc'] = $desc;
            $this->consultarObj = new menu_dinamico();
            $this->consultarObj->setId($id);
            $this->consultarObj->setFuncionalidad($funcionalidad);
            $this->consultarObj->setScript($script);
            $this->consultarObj->setDescripcion($desc);
        }

        function getConsultar() {
            return $this->consultarObj;
        }

        function validar() {
            $this->conexionObj = new conexion();
            $this->conexionObj->conectarse();
            $rst_validar = $this->conexionObj->consultar("SELECT * FROM menu_dinamico WHERE id='" . $this->consultarObj->getId() . "'");
            if (mysql_num_rows($rst_validar) >= 1) {
                $desc = $_SESSION['desc'];
                $id = $this->consultarObj->getId();
                $funcionalidad = $this->consultarObj->getFuncionalidad();
                $script = $this->consultarObj->getScript();
                $this->modificarMenuDinamico($id, $funcionalidad, $script, $desc);
            } else {
                $msgBOX2 = "No Se Encontro Funcionalidad.";
                echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            }
        }

        function modificarMenuDinamico($id, $funcionalidad, $script, $desc) {
            $rst_modificar = $this->conexionObj->consultar("UPDATE menu_dinamico SET funcionalidad = '" . $funcionalidad . "', script = '" . $script . "', descripcion = '" . $desc . "' WHERE id = " . $id . "");
            $affected_modificar = mysql_affected_rows();
            if ($affected_modificar >= 1) {
                $msgBOX2 = "Se Actualizo Funcionalidad.";
                echo "<script>
	            opener.document.location.reload();
				alert('$msgBOX2');
				window.close();
	  		  	</script>";
            } else {
                $msgBOX2 = "No Se Pudo Actualizar Funcionalidad.";
                echo "<script>
	            alert('$msgBOX2');
				window.close();
	  		  	</script>";
            }
        }

    }

    // FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
    $asignarMenuObj = new asignarMenu();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
    $asignarMenuObj->setConsultar($_POST['id'], $_POST['funcionalidad'], $_POST['script'], $_POST['desc']);
// LAMANDO EL METODO DE NEGOCIO
    $asignarMenuObj->validar();
} elseif ($tipo == 2 && isset($Ejecutar)) {

    class eliminarFuncionalidad {

        var $consultarObj;
        var $conexionObj;
        var $estado;

        function setConsultar($id) {
            $this->consultarObj = new menu_dinamico();
            $this->consultarObj->setId($id);
        }

        function getConsultar() {
            return $this->consultarObj;
        }

        function validar() {
            $this->conexionObj = new conexion();
            $this->conexionObj->conectarse();
            $rst_validar = $this->conexionObj->consultar("SELECT * FROM menu_dinamico WHERE id='" . $this->consultarObj->getId() . "'");
            if (mysql_num_rows($rst_validar) >= 1) {
                $id = $this->consultarObj->getId();
                $funcionalidad = $this->consultarObj->getFuncionalidad();
                $script = $this->consultarObj->getScript();
                $this->eliminarMenuDinamico($id);
            } else {
                $msgBOX2 = "No Se Encontro Funcionalidad.";
                echo "<script>
	            alert('$msgBOX2');
				window.close();
	  		  	</script>";
            }
        }

        function eliminarMenuDinamico($id) {
            $rst_modificar = $this->conexionObj->consultar("DELETE FROM menu_dinamico WHERE id = " . $id . "");
            $affected_modificar = mysql_affected_rows();
            if ($affected_modificar >= 1) {
                $msgBOX2 = "Se Elimino Funcionalidad.";
                echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            } else {
                $msgBOX2 = "No Se Pudo Eliminar Funcionalidad.";
                echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            }
        }

    }

    // FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
    $eliminarFuncionalidadObj = new eliminarFuncionalidad();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
    $eliminarFuncionalidadObj->setConsultar($_POST['id']);
// LAMANDO EL METODO DE NEGOCIO
    $eliminarFuncionalidadObj->validar();
}
echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
?>
<td>
<CENTER>
<? pie_de_pagina(); ?>
</CENTER></td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</body>";
echo"</html>";
?>